unofficial mirror of bug-guix@gnu.org 
 help / color / mirror / Atom feed
* bug#44025: haunt incompatible with package guix
@ 2020-10-15 22:21 zimoun
  2020-10-16 14:30 ` Ludovic Courtès
  0 siblings, 1 reply; 3+ messages in thread
From: zimoun @ 2020-10-15 22:21 UTC (permalink / raw)
  To: 44025

Dear,

Is it possible to keep the compatibility between the package ’haunt’ and
the package ’guix’?  Otherwise, building guix-artwork/website takes
ages, raises a lot of warnings… and makes me unhappy. :-)

The issue is that haunt is currently built with guile@3.0.2 and the
package ’guix’ with guile@3.0.4.  Therefore, ’haunt build’ claims:

--8<---------------cut here---------------start------------->8---
;;; WARNING: loading compiled file /gnu/store/jkxwzw8dimbmbqqy12744wr3n2vxclnv-profile/lib/guile/3.0/site-ccache/guix/ci.go failed:
;;; In procedure load-thunk-from-memory: incompatible bytecode version
;;; WARNING: loading compiled file /home/simon/.config/guix/profiles/emacs/emacs/lib/guile/3.0/site-ccache/guix/ci.go failed:
;;; In procedure load-thunk-from-memory: incompatible bytecode version
;;; WARNING: loading compiled file /home/simon/.config/guix/profiles/emacs/emacs/lib/guile/3.0/site-ccache/guix/ci.go failed:
--8<---------------cut here---------------end--------------->8---


The easy fixes is to replace “guile-3.0’ by ’guile-3.0-latest’ in the
inputs of ’haunt’.  However, ‘guix build haunt’ says:

--8<---------------cut here---------------start------------->8---
wrote `haunt/config.go'
;;; note: auto-compilation is enabled, set GUILE_AUTO_COMPILE=0
;;;       or pass the --no-auto-compile argument to disable.
;;; compiling /gnu/store/ah16zr8mmfkqy23rr7jy5a842ca1q9h1-guile-3.0.4/bin/guild
;;; WARNING: compilation of /gnu/store/ah16zr8mmfkqy23rr7jy5a842ca1q9h1-guile-3.0.4/bin/guild failed:
;;; failed to create path for auto-compiled file "/gnu/store/ah16zr8mmfkqy23rr7jy5a842ca1q9h1-guile-3.0.4/bin/guild"
  GEN      haunt/asset.go
…  
--8<---------------cut here---------------end--------------->8---

and

--8<---------------cut here---------------start------------->8---
stripping binaries in "/gnu/store/ncva9mpxc1ypkmvy8a0xxvldpzap5j29-haunt-0.2.4/lib" with "strip" and flags ("--strip-debug" "--enable-deterministic-archives")
strip: Unable to recognise the format of the input file `/gnu/store/ncva9mpxc1ypkmvy8a0xxvldpzap5j29-haunt-0.2.4/lib/guile/3.0/site-ccache/haunt/asset.go'
warning: /gnu/store/ncva9mpxc1ypkmvy8a0xxvldpzap5j29-haunt-0.2.4/lib/guile/3.0/site-ccache/haunt/asset.go: program "strip" exited with non-zero exit status 1
--8<---------------cut here---------------end--------------->8---

ending with “successfully built /gnu/store/p088xcmwksb8gkkqiwzwc3v9r3cmjnrs-haunt-0.2.4.drv” and an
apparently working haunt –– at least the website builds without warning
and seems rendering correctly.


Well, does it make sense to drag gnu/packages/package-management.scm in
guile-xyz.scm? and then replace with something like:

    (inputs
     `(("guile" ,@(assoc-ref (package-native-inputs guix) "guile"))))


Or create a haunt variant named ’haunt-guix’ keeping the compatibility?


Since I am not a haunt user, I do not have an opinion.


All the best,
simon

PS:
I am locally building the website time to time when hacking on the file
’sources.json’ used by SWH.




^ permalink raw reply	[flat|nested] 3+ messages in thread

* bug#44025: haunt incompatible with package guix
  2020-10-15 22:21 bug#44025: haunt incompatible with package guix zimoun
@ 2020-10-16 14:30 ` Ludovic Courtès
  2020-10-18  0:05   ` zimoun
  0 siblings, 1 reply; 3+ messages in thread
From: Ludovic Courtès @ 2020-10-16 14:30 UTC (permalink / raw)
  To: zimoun; +Cc: 44025

Hi,

zimoun <zimon.toutoune@gmail.com> skribis:

> Well, does it make sense to drag gnu/packages/package-management.scm in
> guile-xyz.scm? and then replace with something like:
>
>     (inputs
>      `(("guile" ,@(assoc-ref (package-native-inputs guix) "guile"))))
>
>
> Or create a haunt variant named ’haunt-guix’ keeping the compatibility?

Can we do that, but keep that variant in the web site’s ‘.guix.scm’
file?

Thanks!

Ludo’.




^ permalink raw reply	[flat|nested] 3+ messages in thread

* bug#44025: haunt incompatible with package guix
  2020-10-16 14:30 ` Ludovic Courtès
@ 2020-10-18  0:05   ` zimoun
  0 siblings, 0 replies; 3+ messages in thread
From: zimoun @ 2020-10-18  0:05 UTC (permalink / raw)
  To: Ludovic Courtès; +Cc: 44025

Hi,

On Fri, 16 Oct 2020 at 16:30, Ludovic Courtès <ludo@gnu.org> wrote:

>>     (inputs
>>      `(("guile" ,@(assoc-ref (package-native-inputs guix) "guile"))))
>>
>>
>> Or create a haunt variant named ’haunt-guix’ keeping the compatibility?
>
> Can we do that, but keep that variant in the web site’s ‘.guix.scm’
> file?

My proposal to fix the annoyance is #44051.  The variant is created in
the manifest file.  Since I am not using ’.guix.scm’, I have not looked
into.  Next round, after v1.2. :-)

<http://issues.guix.gnu.org/issue/44051>


Cheers,
simon




^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2020-10-18  0:06 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-10-15 22:21 bug#44025: haunt incompatible with package guix zimoun
2020-10-16 14:30 ` Ludovic Courtès
2020-10-18  0:05   ` zimoun

unofficial mirror of bug-guix@gnu.org 

This inbox may be cloned and mirrored by anyone:

	git clone --mirror https://yhetil.org/guix-bugs/0 guix-bugs/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 guix-bugs guix-bugs/ https://yhetil.org/guix-bugs \
		bug-guix@gnu.org
	public-inbox-index guix-bugs

Example config snippet for mirrors.
Newsgroups are available over NNTP:
	nntp://news.yhetil.org/yhetil.gnu.guix.bugs
	nntp://news.gmane.io/gmane.comp.gnu.guix.bugs


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git